Preview an on-call rotationAsk AIpost https://api.firehydrant.io/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/previewPreview a new on-call rotation orchanges to an existing on-call rotationPath Paramsteam_idstringrequiredschedule_idstringrequiredBody Paramsrotation_idstring | nullThe ID of a rotation being updated. Leave this blank if you're previewing the creation of a new rotation.namestring | nullThe name of the on-call rotationdescriptionstring | nullThe description of the on-call rotationtime_zonestring | nullThe timezone of the on-call rotation as a stringslack_user_group_idstring | nullThe Slack Usergroup ID for the on-call rotationenable_slack_channel_notificationsboolean | nullNotify the team's Slack channel when handoffs occurtruefalseprevent_shift_deletionboolean | nullPrevent shifts from being deleted by users and leading to gaps in coverage.truefalsecoverage_gap_notification_intervalstring | nullAn ISO8601 duration string specifying that the team should be notified about gaps in coverage for the upcoming interval. Notifications are sent at 9am daily in the rotation's time zone via email and, if enabled, the team's Slack channel.colorstring | nullA hex color code that will be used to represent the rotation in FireHydrant's UI.membersarray of objects | nullAn ordered list of objects that specify members of the schedule's rotation.membersADD objectstrategyobject | nullAn object that specifies how the rotation's on-call shifts should be generated.strategy object | nullrestrictionsarray of objects | nullA list of objects that restrict the rotation to specific on-call periods.restrictionsADD objectstart_timestring | nullAn ISO8601 time string specifying when the initial rotation should start. This value is only used if the rotation's strategy type is "custom".effective_atstring | nullAn ISO8601 time string specifying when the updated schedule should take effect. This value must be provided if editing an attribute that would affect how the schedule's shifts are generated, such as the time zone, members, strategy, or restrictions.fromstring | nullAn ISO8601 time string specifying the start of the time window to preview. Defaults to now.tostring | nullAn ISO8601 time string specifying the end of the time window to preview. Defaults to two weeks from now.Response 201Preview a new on-call rotation orchanges to an existing on-call rotationUpdated 7 months ago